Get Wallet Balances
curl --request GET \
--url https://api.anchorage-staging.com/v3/wallets/{walletId}/balances \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v3/wallets/{walletId}/balances"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v3/wallets/{walletId}/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"balances": [
{
"amount": {
"amount": "10.45234733",
"assetType": "ETH"
},
"balanceType": "AVAILABLE"
}
]
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Get Wallet Balances
Permissions required: Read vault activity
Get current balances for a specific wallet. Returns all balance types including wallet-level balances and aggregated staking position balances.
GET
/
wallets
/
{walletId}
/
balances
Get Wallet Balances
curl --request GET \
--url https://api.anchorage-staging.com/v3/wallets/{walletId}/balances \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v3/wallets/{walletId}/balances"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v3/wallets/{walletId}/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"balances": [
{
"amount": {
"amount": "10.45234733",
"assetType": "ETH"
},
"balanceType": "AVAILABLE"
}
]
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
The unique identifier of the wallet
Query Parameters
Filter balances by asset type.
Response
Success
Response containing wallet balance details
Array of balance entries for this wallet
Show child attributes
Show child attributes
Was this page helpful?